### Method

# Gio FileAttributeInfoList lookup

#### Declaration [src]

    const GFileAttributeInfo*
    g_file_attribute_info_list_lookup (
      GFileAttributeInfoList* list,
      const char* name
    )

#### Description [src]

Gets the file attribute with the name `name` from `list`.

#### Parameters

`name`

  Type: `const char*`

  The name of the attribute to look up.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GFileAttributeInfo`

A `GFileAttributeInfo` for the `name`, or `NULL` if an attribute isn’t found.

The returned data is owned by the instance.